org.apache.catalina.tribes.transport

## Interface MultiPointSender

- All Superinterfaces:
    DataSender
  All Known Implementing Classes:
    MultipointBioSender, ParallelNioSender, PooledMultiSender, PooledParallelSender, PooledSender

      public interface MultiPointSender
      extends DataSender

  Since:
    5.5.16

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Member member)`
    `void` | `remove(Member member)`
    `void` | `sendMessage(Member[] destination, ChannelMessage data)`
    `void` | `setDirectBuffer(boolean directBuf)`
    `void` | `setMaxRetryAttempts(int attempts)`

    - ### Methods inherited from interface org.apache.catalina.tribes.transport.DataSender

      `connect, disconnect, getConnectTime, getRequestCount, isConnected, keepalive, setKeepAliveCount, setKeepAliveTime, setRxBufSize, setTimeout, setTxBufSize`

- - ### Method Detail

    - #### sendMessage

          void sendMessage(Member[] destination,
                         ChannelMessage data)
                           throws ChannelException

      Throws:
        `ChannelException`

    - #### setMaxRetryAttempts

          void setMaxRetryAttempts(int attempts)

    - #### setDirectBuffer

          void setDirectBuffer(boolean directBuf)

    - #### add

          void add(Member member)

    - #### remove

          void remove(Member member)

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.